﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace csharpdemo
{
    public partial class FrmDrawNewunitByMouse : Form
    {
        public FrmDrawNewunitByMouse()
        {
            InitializeComponent();
        }

        private void FrmDrawNewunitByMouse_Load(object sender, EventArgs e)
        {
            toolbar.Run("http://www.visual-graph.com/activex/newunit.xml");
            vg1.Design("");
            toolbar.vg.ActiveSheet.SetPropertyValue("cursheet", vg1.vg.ActiveSheet);
            toolbar.Height = 40;
        }

        private void btnRect_Click(object sender, EventArgs e)
        {
            vg1.vg.NewUnit(null, "rect");
        }

        private void btnline_Click(object sender, EventArgs e)
        {
            vg1.vg.NewUnit(null, "line");
        }

        private void btncircle_Click(object sender, EventArgs e)
        {
            vg1.vg.NewUnit(null, "circle");
        }

        private void btnarc_Click(object sender, EventArgs e)
        {
            vg1.vg.NewUnit(null, "arc");
        }

        private void btnpie_Click(object sender, EventArgs e)
        {
            vg1.vg.NewUnit(null, "pie");
        }

        private void btnbutton_Click(object sender, EventArgs e)
        {
            var lb = vg1.vg.Create(vg1.DefaultPath + "controls.tbl", true, false);
            var bt = vg1.vg.NewUnit(lb, "button");
            if (bt != null)
                bt.Lib = vg1.vg.FileName;//element link to library
            lb.Free();
        }

        private void btnlistbox_Click(object sender, EventArgs e)
        {
            var lb = vg1.vg.Create(vg1.DefaultPath + "controls.tbl", true, false);
            var bt = vg1.vg.NewUnit(lb, "listbox");
            if (bt != null)
                bt.Lib = vg1.vg.FileName;//element link to library
            lb.Free();
        }

        private void btnscrollbar_Click(object sender, EventArgs e)
        {
            var lb = vg1.vg.Create(vg1.DefaultPath + "controls.tbl", true, false);
            vg1.vg.NewUnit(lb, "vscrollbar");//this element will embed to the file
            lb.Free();
        }

        private void btntransformer_Click(object sender, EventArgs e)
        {
            var lb = vg1.vg.Create("http://www.visual-graph.com/activex/power.xml", true, false);
            vg1.vg.NewUnit(lb, "TransformerB");//this element will embed to the file
            lb.Free();
        }

        private void btnground_Click(object sender, EventArgs e)
        {
            var lb = vg1.vg.Create("http://www.visual-graph.com/activex/power.xml", true, false);
            vg1.vg.NewUnit(lb, "VGround");//this element will embed to the file
            lb.Free();
        }

        private void btnDelUnit_Click(object sender, EventArgs e)
        {
            if (vg1.vg.Selection.UnitCount == 1)
            {
                var d = vg1.vg.Selection.get_Units(0);
                vg1.vg.ActiveSheet.DeleteUnit(d);
            }
            else
                MessageBox.Show("Please select a unit first.");
        }

        private void btnEnumselectedunits_Click(object sender, EventArgs e)
        {
            var i = 0;
            var s = "";
            while (i < vg1.vg.Selection.UnitCount)
            {
                var d = vg1.vg.Selection.get_Units(i);
                s = s + d.Name + ",";
                i = i + 1;
            };
            MessageBox.Show(s);
        }

        private void btnDeleteselectedunits_Click(object sender, EventArgs e)
        {
            if (vg1.vg.Selection.UnitCount != 0)
            {
                vg1.vg.DeleteSelection();
            }
            else
                MessageBox.Show("There are no units selected.");
        }

        private void btnUndo_Click(object sender, EventArgs e)
        {
            vg1.vg.Undo();
        }

        private void btnRedo_Click(object sender, EventArgs e)
        {
            vg1.vg.Redo();
        }
    }
}
